import 'package:flutter/material.dart';
import 'package:sw_core/entity_theme/params_loan_connect.dart';
import 'package:sw_core/interface/layout.dart';
import 'package:sw_core/tool/inject.dart';
import 'package:sw_core/navigation/nav.dart';
import 'package:sw_loan_connect/layouts/layout_landing_page_b.dart';
import 'package:sw_loan_connect/layouts/layout_landing_page_default.dart';

routeLandingPage(BuildContext? context) => navigate(context, RouteLandingPage());

class RouteLandingPage extends StatelessWidget {
  RouteLandingPage({Key? key}) : super(key: key);

  final ParamsLoanConnect params = get<ParamsLoanConnect>();

  @override
  Widget build(BuildContext context) {
    if (params.build != null) {
      return params.build!(context);
    } else {
      switch (params.layout) {
        case Layout.B:
          return LayoutLandingPageB();
        case Layout.DEFAULT:
        default:
          return LayoutLandingPageDefault();
      }
    }
  }
}
