import 'package:flutter/material.dart';
import 'package:sw_core/entity_theme/params_loan_connect.dart';
import 'package:sw_core/interface/controller/i_controller_auth.dart';
import 'package:sw_core/interface/layout.dart';
import 'package:sw_core/tool/inject.dart';
import 'package:sw_core/navigation/nav.dart';
import 'package:sw_loan_connect/layouts/layout_servicers_b.dart';
import 'package:sw_loan_connect/layouts/layout_servicers_default.dart';

routeServicers(BuildContext? context) => navigate(context, RouteServicers());

class RouteServicers extends StatelessWidget {
  RouteServicers({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    getSafe<IControllerAuth>()?.authStep.value = AuthStep.STEP_UNAUTHORIZED;
    switch (get<ParamsLoanConnect>().layout) {
      case Layout.B:
        return LayoutServicersB();
      case Layout.DEFAULT:
      default:
        return LayoutServicersDefault();
    }
  }
}
